# Uses of Interface
com.databricks.jdbc.dbclient.IDatabricksHttpClient

Packages that use IDatabricksHttpClient
Package
Description
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.api.impl.volume
com.databricks.jdbc.auth
com.databricks.jdbc.dbclient.impl.http
com.databricks.jdbc.dbclient.impl.thrift

## Uses of IDatabricksHttpClient in com.databricks.jdbc.api.impl.arrow

Fields in com.databricks.jdbc.api.impl.arrow declared as IDatabricksHttpClient
Modifier and Type
Field
Description
`protected final IDatabricksHttpClient`
AbstractRemoteChunkProvider.`httpClient`
Methods in com.databricks.jdbc.api.impl.arrow with parameters of type IDatabricksHttpClient
Modifier and Type
Method
Description
`protected abstract void`
AbstractArrowResultChunk.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
`protected void`
ArrowResultChunk.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Downloads and initializes data for this chunk using the provided HTTP client and compression codec.
Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type IDatabricksHttpClient
Modifier
Constructor
Description
`protected`
`AbstractRemoteChunkProvider(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
`protected`
`AbstractRemoteChunkProvider(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`

## Uses of IDatabricksHttpClient in com.databricks.jdbc.api.impl.arrow.incubator

Methods in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type IDatabricksHttpClient
Modifier and Type
Method
Description
`protected void`
ArrowResultChunkV2.`downloadData(IDatabricksHttpClient httpClient, CompressionCodec compressionCodec, double speedThreshold)`
Constructors in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type IDatabricksHttpClient
Modifier
Constructor
Description
``
`RemoteChunkProviderV2(IDatabricksStatementInternal parentStatement, TFetchResultsResp resultsResp, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery, CompressionCodec compressionCodec)`
``
`RemoteChunkProviderV2(StatementId statementId, ResultManifest resultManifest, ResultData resultData, IDatabricksSession session, IDatabricksHttpClient httpClient, int maxParallelChunkDownloadsPerQuery)`

## Uses of IDatabricksHttpClient in com.databricks.jdbc.api.impl.volume

Constructors in com.databricks.jdbc.api.impl.volume with parameters of type IDatabricksHttpClient
Modifier
Constructor
Description
``
`VolumeUploadCallback(IDatabricksHttpClient httpClient, CompletableFuture<VolumePutResult> uploadFuture, DBFSVolumeClient.UploadRequest request, Semaphore semaphore, VolumeUploadCallback.UrlGenerator urlGenerator, Function<Integer,Long> retryDelayCalculator, IDatabricksConnectionContext connectionContext)`
Constructor for the callback.

## Uses of IDatabricksHttpClient in com.databricks.jdbc.auth

Methods in com.databricks.jdbc.auth with parameters of type IDatabricksHttpClient
Modifier and Type
Method
Description
`protected static com.databricks.sdk.core.oauth.Token`
JwtPrivateKeyClientCredentials.`retrieveToken(IDatabricksHttpClient hc, String tokenUrl, Map<String,String> params, Map<String,String> headers)`
`JwtPrivateKeyClientCredentials.Builder`
JwtPrivateKeyClientCredentials.Builder.`withHttpClient(IDatabricksHttpClient hc)`

## Uses of IDatabricksHttpClient in com.databricks.jdbc.dbclient.impl.http

Classes in com.databricks.jdbc.dbclient.impl.http that implement IDatabricksHttpClient
Modifier and Type
Class
Description
`class`
`DatabricksHttpClient`
Http client implementation to be used for executing http requests.
Methods in com.databricks.jdbc.dbclient.impl.http that return IDatabricksHttpClient
Modifier and Type
Method
Description
`IDatabricksHttpClient`
DatabricksHttpClientFactory.`getClient(IDatabricksConnectionContext context)`
`IDatabricksHttpClient`
DatabricksHttpClientFactory.`getClient(IDatabricksConnectionContext context, HttpClientType type)`

## Uses of IDatabricksHttpClient in com.databricks.jdbc.dbclient.impl.thrift

Constructors in com.databricks.jdbc.dbclient.impl.thrift with parameters of type IDatabricksHttpClient
Modifier
Constructor
Description
``
`DatabricksHttpTTransport(IDatabricksHttpClient httpClient, String url, com.databricks.sdk.core.DatabricksConfig databricksConfig, IDatabricksConnectionContext connectionContext)`